
	ox_sdk_init_set_callback_func(function(objCallBack){
		if(objCallBack.code == "00000"){
			document.getElementById("rtest").innerHTML = "SDK初始化成功\r\n"+JSON.stringify(objCallBack);
		}else {
			document.getElementById("rtest").innerHTML = "SDK初始化失败\r\n"+JSON.stringify(objCallBack);
		}});
	
	/**
     * [init sdk初始化]
     * 请根据文档在原生代码中调用OxWebViewAdapter中的初始化方法。
     */
	 
	/**
	 * [verifyBySmsStart 短信验证开启]
	 * @param {[string]} [method] [方法名]
     * @param {[object]} [params] [请求参数 手机号 tel]
     * @param {[func]} [fnCallBack] [回调函数]
     * @return {[object]} [description]
	 */
	function dm_verify_by_sms_start(){
		var strTel = document.getElementById("tel").value;
		var objParams = {};
		var objPostData = {};

		objPostData.tel = strTel;

		objParams.method = "verify_by_sms_start"; // action_type
		objParams.params = objPostData;
		objParams.fnCallBack = dm_verify_by_sms_start_callback;

		ox_js_to_native(objParams);
	}

	/**
	 * [verifyBySmsCheck 短信验证码验证]
	 * @param {[string]} [method] [方法名]
     * @param {[object]} [params] [请求参数 手机号 tel 短信验证码 sms_code]
     * @param {[func]} [fnCallBack] [回调函数]
     * @return {[object]} [description]
	 */
	function dm_verify_by_sms_check(){
		var strTel = document.getElementById("tel").value;
		var strCode = document.getElementById("code").value;
		var objParams = {};
		var objPostData = {};

		objPostData.tel = strTel;
		objPostData.sms_code = strCode;

		objParams.method = "verify_by_sms_check";
		objParams.params = objPostData;
		objParams.fnCallBack = dm_verify_by_sms_check_callback;
		ox_js_to_native(objParams);
	}


	/**
	 * [verifyByOnekey 一键登录 token]
	 * @param {[string]} [method] [方法名]
     * @param {[object]} [params] [请求参数]
     * @param {[func]} [fnCallBack] [回调函数]
     * @return {[object]} [description]
	 */
	function dm_verify_by_onekey(){
		var objParams = {};
		var objPostData = {};

		objParams.method = "get_onekey_login_token";
		objParams.params = objPostData;
		objParams.fnCallBack = dm_verify_by_onekey_callback;

		ox_js_to_native(objParams);
	}
	
	function dm_verify_by_sms_start_callback(objCallBack){
		
		if(objCallBack.code == "00000"){
			document.getElementById("rtest").innerHTML = "短信验证开启成功\r\n"+JSON.stringify(objCallBack);
		}else {
			document.getElementById("rtest").innerHTML = "短信验证开启失败\r\n"+JSON.stringify(objCallBack);
		}
	}

	function dm_verify_by_sms_check_callback(objCallBack){
		if(objCallBack.code == "00000"){
			document.getElementById("rtest").innerHTML = "短信校验成功\r\n"+JSON.stringify(objCallBack);
		}else {
			document.getElementById("rtest").innerHTML = "短信校验失败\r\n"+JSON.stringify(objCallBack);
		}
	}


	function dm_verify_by_onekey_callback(objCallBack){
		if(objCallBack.code == "00000"){
			document.getElementById("rtest").innerHTML = "一键登录成功\r\n"+JSON.stringify(objCallBack);
//			ox_close_auth_page(); // 关闭授权页
		}else {
			document.getElementById("rtest").innerHTML = "一键登录失败\r\n"+JSON.stringify(objCallBack);
		}
	}